# Get All Transaction Details

## Get the details of transactions.

<mark style="color:blue;">`GET`</mark> `{API_URL}/client/get-all-transactions`

Auth required: YES

Please pass your API key as the username and API secret as the password as Basic Auth to access the endpoint

#### Query Parameters

<table><thead><tr><th width="165.96484375">Name</th><th>DataType</th><th>Description</th><th>Type</th></tr></thead><tbody><tr><td>from</td><td>ISODateString</td><td>Start date-time for filtering purchases (ISO 8601 format)</td><td>Optional</td></tr><tr><td>to</td><td>ISODateString</td><td>End date-time for filtering purchases (ISO 8601 format)</td><td>Optional</td></tr><tr><td>email</td><td>String</td><td>email of the user</td><td>Optional</td></tr><tr><td>userId</td><td>String</td><td></td><td>Optional</td></tr><tr><td>skip</td><td>integer</td><td></td><td>Optional</td></tr><tr><td>limit</td><td>integer</td><td></td><td>Optional</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "_id": "68146e7e744b874f5775cfaa",
            "createdAt": "2025-05-02T07:04:30.071Z",
            "updatedAt": "2025-05-05T11:07:03.453Z",
            "userEmail": "cybercoupon@gmail.com",
            "userName": "AYUSH",
            "userAddress": {
                "name": "",
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "billingAddress": {
                "area": "",
                "pincode": "",
                "state": "",
                "country": "",
                "apartment": "",
                "landmark": "",
                "city": ""
            },
            "shippingAddress": {
                "area": "",
                "pincode": "",
                "state": "",
                "country": "",
                "apartment": "",
                "landmark": "",
                "city": ""
            },
            "userId": "6814639998f1ed0298475c6e",
            "clientReferenceId": "undefined",
            "transactionRefNumber": "7461694684236577604806",
            "orderId": "016153570198200",
            "contentId": null,
            "refundStatus": "INITIATED",
            "refundDetails": [
                {
                    "_id": "68189bd7ac8fc0629d1551b4",
                    "status": "PROCESSED",
                    "transactionId": "68146e7e744b874f5775cfaa",
                    "amount": 1.3,
                    "currency": "INR",
                    "purchaseType": "SUBSCRIPTION",
                    "user": "6814639998f1ed0298475c6e",
                    "clientId": "661907c2487ae1aba956dcc4",
                    "cancelAccess": true,
                    "rzpRefundId": "7464432229166504004806",
                    "refundObject": {
                        "refundResponse": {
                            "_links": {
                                "self": {
                                    "href": "/pts/v2/refunds/7464432229166504004806",
                                    "method": "GET"
                                },
                                "void": {
                                    "href": "/pts/v2/refunds/7464432229166504004806/voids",
                                    "method": "POST"
                                }
                            },
                            "id": "7464432229166504004806",
                            "submitTimeUtc": "2025-05-05T11:07:03Z",
                            "status": "PENDING",
                            "reconciliationId": "7461694684236577604806",
                            "clientReferenceInformation": {
                                "code": "6814639998f1ed0298475c6e"
                            },
                            "refundAmountDetails": {
                                "refundAmount": "0.06",
                                "currency": "AED"
                            }
                        }
                    },
                    "createdAt": "2025-05-05T11:07:03.375Z",
                    "updatedAt": "2025-05-05T11:07:03.375Z",
                    "__v": 0
                }
            ],
            "status": "COMPLETE",
            "subscriptionName": "kuchbhi rename ",
            "subscriptionId": "673c315bb2deb6e310fbd8f0",
            "tierId": "673c315bb2deb6e310fbd8f3",
            "purchaseId": "68146e7e744b874f5775cfad",
            "redeemedCouponCode": "KUCH20",
            "price": 2.305923441191124,
            "currency": "INR",
            "gateway": "CYBERSOURCE",
            "category": "SUBSCRIPTION",
            "paymentSource": "4242XXXXXXXX4242",
            "paymentSourceType": "CARD",
            "expiryDate": "2025-06-02T07:04:30.126Z",
            "taxBasePrice": 2.305923441191124,
            "taxInformation": [
                {
                    "category": "DIGITAL",
                    "taxAmount": 0.01,
                    "taxBasePrice": 0.1,
                    "clientTaxAmount": 0.01,
                    "clientTaxBasePrice": 0.1,
                    "taxRate": 10,
                    "taxName": "cgst",
                    "_id": "68146e7e744b874f5775cfc9"
                },
                {
                    "category": "PHYSICAL",
                    "taxAmount": 0,
                    "taxBasePrice": 0,
                    "clientTaxAmount": 0,
                    "clientTaxBasePrice": 0,
                    "taxRate": 20,
                    "taxName": "Sg",
                    "_id": "68146e7e744b874f5775cfca"
                }
            ],
            "taxCountry": "IN",
            "gstComponent": {
                "physical": 0,
                "digital": 0
            }
        }
    ],
    "count": [
        {
            "_id": "COMPLETE",
            "count": 1
        }
    ],
    "paginationInfo": {
        "pageNumber": 1,
        "pageSize": 100,
        "recordsReturned": 1,
        "totalCount": 1,
        "totalPages": 1
    }
}
```

{% endtab %}
{% endtabs %}

<pre class="language-json"><code class="lang-json"><strong>
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0/integrating-apis-v2/get-all-transaction-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
